/*******************************************************************************
* File Name: SCP_reset.h  
* Version 1.60
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#if !defined(CY_PINS_SCP_reset_H) /* Pins SCP_reset_H */
#define CY_PINS_SCP_reset_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SCP_reset_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SCP_reset_Write(uint8 value) ;
void    SCP_reset_SetDriveMode(uint8 mode) ;
uint8   SCP_reset_ReadDataReg(void) ;
uint8   SCP_reset_Read(void) ;
uint8   SCP_reset_ClearInterrupt(void) ;

/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SCP_reset_DM_ALG_HIZ         PIN_DM_ALG_HIZ
#define SCP_reset_DM_DIG_HIZ         PIN_DM_DIG_HIZ
#define SCP_reset_DM_RES_UP          PIN_DM_RES_UP
#define SCP_reset_DM_RES_DWN         PIN_DM_RES_DWN
#define SCP_reset_DM_OD_LO           PIN_DM_OD_LO
#define SCP_reset_DM_OD_HI           PIN_DM_OD_HI
#define SCP_reset_DM_STRONG          PIN_DM_STRONG
#define SCP_reset_DM_RES_UPDWN       PIN_DM_RES_UPDWN

/* Digital Port Constants */
#define SCP_reset_MASK               SCP_reset__MASK
#define SCP_reset_SHIFT              SCP_reset__SHIFT
#define SCP_reset_WIDTH              1u

/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SCP_reset_PS                     (* (reg8 *) SCP_reset__PS)
/* Data Register */
#define SCP_reset_DR                     (* (reg8 *) SCP_reset__DR)
/* Port Number */
#define SCP_reset_PRT_NUM                (* (reg8 *) SCP_reset__PRT) 
/* Connect to Analog Globals */                                                  
#define SCP_reset_AG                     (* (reg8 *) SCP_reset__AG)                       
/* Analog MUX bux enable */
#define SCP_reset_AMUX                   (* (reg8 *) SCP_reset__AMUX) 
/* Bidirectional Enable */                                                        
#define SCP_reset_BIE                    (* (reg8 *) SCP_reset__BIE)
/* Bit-mask for Aliased Register Access */
#define SCP_reset_BIT_MASK               (* (reg8 *) SCP_reset__BIT_MASK)
/* Bypass Enable */
#define SCP_reset_BYP                    (* (reg8 *) SCP_reset__BYP)
/* Port wide control signals */                                                   
#define SCP_reset_CTL                    (* (reg8 *) SCP_reset__CTL)
/* Drive Modes */
#define SCP_reset_DM0                    (* (reg8 *) SCP_reset__DM0) 
#define SCP_reset_DM1                    (* (reg8 *) SCP_reset__DM1)
#define SCP_reset_DM2                    (* (reg8 *) SCP_reset__DM2) 
/* Input Buffer Disable Override */
#define SCP_reset_INP_DIS                (* (reg8 *) SCP_reset__INP_DIS)
/* LCD Common or Segment Drive */
#define SCP_reset_LCD_COM_SEG            (* (reg8 *) SCP_reset__LCD_COM_SEG)
/* Enable Segment LCD */
#define SCP_reset_LCD_EN                 (* (reg8 *) SCP_reset__LCD_EN)
/* Slew Rate Control */
#define SCP_reset_SLW                    (* (reg8 *) SCP_reset__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SCP_reset_PRTDSI__CAPS_SEL       (* (reg8 *) SCP_reset__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SCP_reset_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SCP_reset__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SCP_reset_PRTDSI__OE_SEL0        (* (reg8 *) SCP_reset__PRTDSI__OE_SEL0) 
#define SCP_reset_PRTDSI__OE_SEL1        (* (reg8 *) SCP_reset__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SCP_reset_PRTDSI__OUT_SEL0       (* (reg8 *) SCP_reset__PRTDSI__OUT_SEL0) 
#define SCP_reset_PRTDSI__OUT_SEL1       (* (reg8 *) SCP_reset__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SCP_reset_PRTDSI__SYNC_OUT       (* (reg8 *) SCP_reset__PRTDSI__SYNC_OUT) 


#if defined(SCP_reset__INTSTAT)  /* Interrupt Registers */

    #define SCP_reset_INTSTAT                (* (reg8 *) SCP_reset__INTSTAT)
    #define SCP_reset_SNAP                   (* (reg8 *) SCP_reset__SNAP)

#endif /* Interrupt Registers */

#endif /* End Pins SCP_reset_H */


/* [] END OF FILE */
