/*****************************************************************************
*  Project Name: Prox Sensor Prototype (time integration)
*  Project Revision: 1.00
*  Device Tested: CY8C3866AXI
*  Software Version: PSoC Creator 2.0
*  Complier tested: Keil(C51) and GCC
*  Related Hardware: CY8CKIT-001
*****************************************************************************
***************************************************************************** */

#include <device.h>
#include <MovAvg.c>

// These variables are accessed in the ISRs 
// Accessed in ISR_Compare to update the counter value
extern uint8 compare_occured;
extern uint16 counter_countVal;

uint16 countVal_Buf[5];
uint8 Buf_Ptr;

uint16 filter_out;
uint8 warmup;
uint8 thresh;
#define WARMUP_PERIOD 5
#define THRESH 4000

void main()
{
	Comp_Start();
	Comp_Reference_Start();
	ISR_Compare_Start();
	PWM_Window_Start();
	Counter_Start();
	LCD_Display_Start();
	Output_drive_Start(0);
	Output_Opamp_Start();
	CYGlobalIntEnable;
	warmup = WARMUP_PERIOD;
	thresh = THRESH;
	
	/* Display the term PULSE COUNT/SEC on line 1 of the LCD */
	LCD_Display_Position(0, 0);
	LCD_Display_PrintString("AVG HIGH TIME");			
	
	for(;;)
    {
		// Check if the PWM interrupt has occurred
		if (compare_occured == 1)
		{
		/* if latest time value is below threshold time, call MovAvg function, else wait for next value */
			if(counter_countVal < thresh) 
			MovAvg()
			
			
		/* if the moving avg time value is below time signalling an operate point, turn output on, else remain off */
			if (filter_out <= 2000) Output_drive_SetValue(255);
			else Output_drive_SetValue(0);
				
				/* Display the value in the LCD */
			LCD_Display_Position(1, 0);
			LCD_Display_PrintInt16(counter_countVal);
			
			LCD_Display_Position(1, 7);
			LCD_Display_PrintInt16(filter_out);
						
			/* Clear the interrupt flag */
			compare_occured = 0;
			PWM_Window_Start();
		}
    }
}

/* [] END OF FILE */